org.modeshape.jcr.cache.change

## Class AbstractSequencingChange

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.AbstractSequencingChange

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NodeSequenced, NodeSequencingFailure

      public abstract class AbstractSequencingChange
      extends AbstractNodeChange

  Base class for the changes involving sequencing
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSequencingChange(NodeKey sequencedNodeKey, Path sequencedNodePath, Name sequencedNodePrimaryType, Set<Name> sequencedNodeMixinTypes, boolean queryable, String outputPath, String userId, String selectedPath, String sequencerName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOutputPath()`
    `String` | `getSelectedPath()`
    `String` | `getSequencerName()`
    `String` | `getUserId()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSequencingChange

          protected AbstractSequencingChange(NodeKey sequencedNodeKey,
                                  Path sequencedNodePath,
                                  Name sequencedNodePrimaryType,
                                  Set<Name> sequencedNodeMixinTypes,
                                  boolean queryable,
                                  String outputPath,
                                  String userId,
                                  String selectedPath,
                                  String sequencerName)

  - ### Method Detail

    - #### getOutputPath

          public String getOutputPath()

    - #### getSelectedPath

          public String getSelectedPath()

    - #### getSequencerName

          public String getSequencerName()

    - #### getUserId

          public String getUserId()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.